package com.qmth.sop.business.bean.params;

import com.qmth.sop.common.enums.DeviceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 设备出入库登记表单
 * @Author: CaoZixuan
 * @Date: 2023-08-24
 */
public class DeviceInOutForm implements Serializable {

    @ApiModelProperty("设备序列号")
    private String serialNo;

    @ApiModelProperty("设备品牌")
    private String deviceBrand;

    @ApiModelProperty("供应商")
    private String supplierName;

    @ApiModelProperty("设备状态")
    private DeviceStatusEnum deviceStatus;

    @ApiModelProperty("扫描量")
    private Integer scanCount;

    @ApiModelProperty("当前所在地")
    private String location;

    @ApiModelProperty("发往地")
    private String address;

    @ApiModelProperty("发往地(回显)")
    private List<String> addressArr;

    @ApiModelProperty("快递单拍照")
    private String basePhotoPath;

    @ApiModelProperty("是否默认设备")
    private Boolean defaultData;

    @ApiModelProperty("快递单号")
    private String expressNo;

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }

    public Boolean getDefaultData() {
        return defaultData;
    }

    public void setDefaultData(Boolean defaultData) {
        this.defaultData = defaultData;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getDeviceBrand() {
        return deviceBrand;
    }

    public void setDeviceBrand(String deviceBrand) {
        this.deviceBrand = deviceBrand;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public DeviceStatusEnum getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(DeviceStatusEnum deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public Integer getScanCount() {
        return scanCount;
    }

    public void setScanCount(Integer scanCount) {
        this.scanCount = scanCount;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public List<String> getAddressArr() {
        return addressArr;
    }

    public void setAddressArr(List<String> addressArr) {
        this.addressArr = addressArr;
    }

    public String getBasePhotoPath() {
        return basePhotoPath;
    }

    public void setBasePhotoPath(String basePhotoPath) {
        this.basePhotoPath = basePhotoPath;
    }
}
